.contactList {
  color: rgb(var(--c));
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 96px 1fr 96px 96px;
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  height: 100%;
}

.logotype {
  min-height: 96px;
  padding: 24px;
  display: flex;
  align-items: center;
  border-bottom: 1px solid rgba(var(--c), 0.2);
}

.logotype span {
  margin-left: 16px;
  font-size: 18px;
  font-weight: 700;
  text-transform: uppercase;
}

.content {
  overflow: auto;
}

.contentTitle {
  color: rgb(var(--c));
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  padding: 24px;
}

.contentMessage {
  margin: 0;
  padding: 24px;
  opacity: 0.75;
}

.createNewChatBlock {
  padding: 24px;
}
.createNewChatButton {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
  border: 1px solid rgba(var(--c), 0.1);
  background: rgba(var(--c), 0.1);
  width: 100%;
  height: 48px;
}
.createNewChatButton:not(:disabled) {
  cursor: pointer;
}
.createNewChatButton:not(:disabled):hover {
  background: rgba(var(--c), 0.2);
}
.createNewChatButton:not(:disabled):active {
  background: rgba(var(--c), 0.05);
}

.profile {
  border-top: 1px solid rgba(var(--c), 0.2);
  min-height: 96px;
  padding: 24px;
  display: flex;
  align-items: center;
  gap: 16px;
}

.profileAvatar {
  padding-top: 3px;
  color: white;
  font-weight: 500;
  border-radius: 8px;
  background: linear-gradient(139deg, #d68322 -3.89%, #f00090 130.55%);
  width: 48px;
  height: 48px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.profileUserInfo {
  line-height: 1;
  flex-grow: 1;
}

.profileUserEmail {
  line-height: 1;
  color: rgba(var(--c), 0.5);
}

.profileLogout {
  display: flex;
  border: none;
  background: rgba(var(--c), 0.1);
  cursor: pointer;
  border-radius: 4px;
}

.profileLogout:hover {
  background: rgba(var(--c), 0.2);
}

.profileLogout:active {
  background: rgba(var(--c), 0.05);
}

.contact {
  display: flex;
  align-items: center;
  min-height: 58px;
  padding: 8px 24px; /* Паддинг по горизонтали */
  cursor: pointer;
  border: none; /* Удаление границы (бордера) кнопки */
  background: none; /* Удаление фона кнопки */
  width: 100%; /* Задание ширины кнопки во всю ширину контейнера */
  text-align: left; /* Выравнивание текста слева */
  font-weight: 400;
}

.contact:hover {
  background: rgba(var(--c), 0.1);
}

.contact_active {
  position: relative;
  background: rgba(var(--c), 0.05);
}

.contact_active::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 4px;
  height: 100%;
  background-color: rgb(var(--c-accent));
}

.contact_active:hover {
  background: rgba(var(--c), 0.15);
}

.details {
  flex: 1;
  max-width: 86%;
}

.contactDelete {
  display: flex;
  margin-left: 16px;
  background: none;
  opacity: 0.5;
  cursor: pointer;
  border: none;
}

.contactDelete:hover {
  opacity: 1;
}

.name {
  font-weight: 500;
  width: 95%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 16px;
}

.lastMessage {
  font-size: 14px;
  margin-top: 4px;
  margin-bottom: 4px;
}

.lastMessageDate {
  font-size: 12px;
  color: #8d9ea7;
  text-align: right; /* Выравнивание текста по правому краю */
  border-right: 1px solid rgba(var(--c), 0.5);
  padding-right: 16px;
}
